import { OnInit } from '@angular/core';
import { Observable } from 'rxjs';
export declare class TreeListComponent implements OnInit {
    treeList: Tree[];
    treeListData: TreeData[];
    option: TreeListOptionInterface;
    constructor();
    ngOnInit(): void;
    initTreeListData(treeList: Tree[], level: number): void;
    private toTreeListData(tree, level, parent);
    onCheckboxChange(checked: boolean, tree: TreeData, list: TreeData[]): void;
    private setSelectedParent(tree, list);
    private setSelectedByList(list, checked);
    createRange(size: number): number[];
    onExpand(tree: TreeData, expand: boolean): void;
    private expand(item, expand);
}
export interface TreeListOptionInterface {
    getChildren: (id: string, level: number) => Observable<Tree[]>;
}
export declare class Tree {
    id: string;
    text: string;
    children: Tree[];
    isSelected: boolean;
}
export declare class TreeData extends Tree {
    level: number;
    parent: TreeData;
    children: TreeData[];
    getChildren?: (id: string, level: number) => Observable<Tree[]>;
    isExpand: boolean;
}
